OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.FragmentProgram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFragmentProgram :: MonadIO m => m Bool
- gl_NV_fragment_program :: Bool
- gl_FRAGMENT_PROGRAM_BINDING_NV :: GLenum
- gl_FRAGMENT_PROGRAM_NV :: GLenum
- gl_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV :: GLenum
- gl_MAX_TEXTURE_COORDS_NV :: GLenum
- gl_MAX_TEXTURE_IMAGE_UNITS_NV :: GLenum
- gl_PROGRAM_ERROR_STRING_NV :: GLenum
- glGetProgramNamedParameterdvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLdouble -> m ()
- glGetProgramNamedParameterfvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLfloat -> m ()
- glProgramNamedParameter4dNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramNamedParameter4dvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLdouble -> m ()
- glProgramNamedParameter4fNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramNamedParameter4fvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> Ptr GLfloat -> m ()

# Extension Support

glGetNVFragmentProgram :: MonadIO m => m Bool

Is the NV_fragment_program extension supported?

gl_NV_fragment_program :: Bool

Is the NV_fragment_program extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFragmentProgram` in those cases instead.

# Enums

gl_FRAGMENT_PROGRAM_BINDING_NV :: GLenum

gl_FRAGMENT_PROGRAM_NV :: GLenum

gl_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV :: GLenum

gl_MAX_TEXTURE_COORDS_NV :: GLenum

gl_MAX_TEXTURE_IMAGE_UNITS_NV :: GLenum

gl_PROGRAM_ERROR_STRING_NV :: GLenum

# Functions

glGetProgramNamedParameterdvNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramNamedParameterfvNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramNamedParameter4dNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramNamedParameter4dvNV`.

glProgramNamedParameter4dvNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramNamedParameter4fNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramNamedParameter4fvNV`.

glProgramNamedParameter4fvNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `name` pointing to `1` element of type `GLubyte`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |